Skip to main content
GET
/
v1
/
agents
/
{agent_id}
/
calls
List calls
curl --request GET \
  --url https://api.slng.ai/v1/agents/{agent_id}/calls \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "agent_id": "550e8400-e29b-41d4-a716-446655440000",
      "phone_number": "<string>",
      "arguments": {},
      "rendered_prompt": "<string>",
      "livekit_room_name": "<string>",
      "status": "<string>",
      "created_at": "2026-01-15T10:30:00Z",
      "updated_at": "2026-01-15T10:30:00Z",
      "livekit_dispatch_id": "<string>",
      "livekit_response": {},
      "livekit_session_report": {},
      "error_message": "<string>"
    }
  ],
  "meta": {
    "page": 2,
    "page_size": 2,
    "total": 1,
    "pages": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required

Voice agent ID.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Query Parameters

status
string

Filter calls by status.

page
integer
default:1

Page number (1-indexed).

Required range: x >= 1
page_size
integer

Page size.

Required range: x >= 1

Response

Paginated calls.

items
object[]
required
meta
object
required